/**
 * A progress bar visually illustrates how far through a task a user is.
 * */

export default {
  title: 'Components/ProgressBar',
  tags: ['autodocs'],
  argTypes: {
    percent: {
      control: {
        type: 'range',
        min: 0,
        max: 100,
        step: 1
      }
    }
  },
  args: {
    text: 'Step X of N',
    percent: 0
  },
}

const ProgressBarTemplate = ({ percent, text = '' }) => (
  `<div class="rpf-progress-bar">
    <label class="rpf-progress-bar__label"><span>${text}</span><progress class="rpf-progress-bar__bar" value="${percent}" max="100">${percent}%</progress></label>
  </div>`
)

export const PartiallyComplete = ProgressBarTemplate.bind({})
PartiallyComplete.args = {
  percent: 60,
}

export const Incomplete = ProgressBarTemplate.bind({})
Incomplete.args = {
  percent: 0,
}

export const Complete = ProgressBarTemplate.bind({})
Complete.args = {
  percent: 100,
}

export const NoLabel = ProgressBarTemplate.bind({})
NoLabel.args = {
  text: '',
  percent: 60,
}
