import classNames from 'classnames'

/**
 * The label used with all HTML inputs, including both the label itself and a hint
 * */
export default {
  title: 'Components/Form/InputLabel',
  tags: ['autodocs'],
  argTypes: {
    disabled: {
      control: 'boolean',
    },
  },
  args: {
    disabled: false,
  },
}

const TextLabelTemplate = ({ disabled }) => {
  const classnames = classNames('rpf-label', {
    'rpf-label--disabled': disabled,
  })

  return `<div class="${classnames}">
    <label for="name">What is your name?</label>
    <div class="rpf-label__hint" for="name">Please enter your first and last names</div>
  </div>`
}

export const Default = TextLabelTemplate.bind({})
Default.args = {}

export const Disabled = TextLabelTemplate.bind({})
Disabled.args = {
  disabled: true,
}
