/**
 * The menu that is opened when interacting with a `MenuButton`. It contains can contain a list of components including: `MenuItem`, `MenuTitle`, `MenuDivider`.
 * */
export default {
  title: 'Components/Menu/Menu',
  tags: ['autodocs'],
}

const MenuTemplate = () => {
  return `
    <ul class="rpf-menu">
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
    </ul>`
}

const MenuTitleTemplate = ({ title = 'Menu title' }) => {
  return `
    <ul class="rpf-menu">
      <li class="rpf-menu__title"><span>${title}</span></li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__title"><span>${title}</span></li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
    </ul>`
}

export const Default = MenuTemplate.bind({})

export const MenuWithTitle = MenuTitleTemplate.bind({})

export const MenuWithDivider = ({ title = 'Menu title' }) => {
  return `
    <ul class="rpf-menu">
      <li class="rpf-menu__title"><span>${title}</span></li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li><hr></li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
    </ul>`
}

export const MenuWithEverything = ({ title = 'Menu title' }) => {
  return `
    <ul class="rpf-menu">
      <li class="rpf-menu__title"><span>${title}</span></li>
      <li class="rpf-menu__item">
        <button>
        <span class="rpf-button__icon material-symbols-sharp">sentiment_satisfied</span>
        Icon left with quite a long name
        </button>
      </li>
      <li class="rpf-menu__item ">
        <a href="#">

        I'm a link (and a right icon)!
          <span class="rpf-button__icon material-symbols-sharp"><span class="material-symbols-sharp">
      open_in_new
          </span>
        </a>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li><hr></li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li class="rpf-menu__item">
        <button>Menu Item</button>
      </li>
      <li><hr></li>
      <li class="rpf-menu__item">
        <button>
          <span class="rpf-button__icon material-symbols-sharp">check</span>
          Selected item
        </button>
      </li>
      <li class="rpf-menu__item rpf-menu__item--danger">
        <button>
          <span class="rpf-button__icon material-symbols-sharp">Delete</span>
          Delete
        </button>
      </li>
    </ul>`
}
